Package org.eclipse.net4j.util.cache

# Interface ICacheMonitorEvent

All Superinterfaces:
  `IEvent`

public interface ICacheMonitorEvent extends IEvent

Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Method Summary

Modifier and Type
Method
Description
`ICacheMonitor.Condition`
`getNewCondition()`
`ICacheMonitor.Condition`
`getOldCondition()`
`ICacheMonitor`
`getSource()`

## Method Details

### getSource

ICacheMonitor getSource()

Specified by:
  `getSource` in interface `IEvent`
Since:
  3.0

### getOldCondition

ICacheMonitor.Condition getOldCondition()

### getNewCondition

ICacheMonitor.Condition getNewCondition()